Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network40.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
40.0.0.0
Broadcast address
40.63.255.255
First usable
40.0.0.1
Last usable
40.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 28000000 · Integer 671088640 to 675282943
Reverse DNS zones
0.40.in-addr.arpa
1.40.in-addr.arpa
2.40.in-addr.arpa
3.40.in-addr.arpa
4.40.in-addr.arpa
5.40.in-addr.arpa
6.40.in-addr.arpa
7.40.in-addr.arpa
8.40.in-addr.arpa
9.40.in-addr.arpa
10.40.in-addr.arpa
11.40.in-addr.arpa
12.40.in-addr.arpa
13.40.in-addr.arpa
14.40.in-addr.arpa
15.40.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101000.00000000.00000000.0000000040.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00101000.00000000.00000000.0000000040.0.0.0
Broadcast00101000.00111111.11111111.1111111140.63.255.255
Split into smaller subnets/21

40.0.0.0/10 makes 2,048 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
140.0.0.0/2140.0.0.1 to 40.0.7.25440.0.7.2552,046
240.0.8.0/2140.0.8.1 to 40.0.15.25440.0.15.2552,046
340.0.16.0/2140.0.16.1 to 40.0.23.25440.0.23.2552,046
440.0.24.0/2140.0.24.1 to 40.0.31.25440.0.31.2552,046
540.0.32.0/2140.0.32.1 to 40.0.39.25440.0.39.2552,046
640.0.40.0/2140.0.40.1 to 40.0.47.25440.0.47.2552,046
740.0.48.0/2140.0.48.1 to 40.0.55.25440.0.55.2552,046
840.0.56.0/2140.0.56.1 to 40.0.63.25440.0.63.2552,046
940.0.64.0/2140.0.64.1 to 40.0.71.25440.0.71.2552,046
1040.0.72.0/2140.0.72.1 to 40.0.79.25440.0.79.2552,046
1140.0.80.0/2140.0.80.1 to 40.0.87.25440.0.87.2552,046
1240.0.88.0/2140.0.88.1 to 40.0.95.25440.0.95.2552,046
1340.0.96.0/2140.0.96.1 to 40.0.103.25440.0.103.2552,046
1440.0.104.0/2140.0.104.1 to 40.0.111.25440.0.111.2552,046
1540.0.112.0/2140.0.112.1 to 40.0.119.25440.0.119.2552,046
1640.0.120.0/2140.0.120.1 to 40.0.127.25440.0.127.2552,046
1740.0.128.0/2140.0.128.1 to 40.0.135.25440.0.135.2552,046
1840.0.136.0/2140.0.136.1 to 40.0.143.25440.0.143.2552,046
1940.0.144.0/2140.0.144.1 to 40.0.151.25440.0.151.2552,046
2040.0.152.0/2140.0.152.1 to 40.0.159.25440.0.159.2552,046
2140.0.160.0/2140.0.160.1 to 40.0.167.25440.0.167.2552,046
2240.0.168.0/2140.0.168.1 to 40.0.175.25440.0.175.2552,046
2340.0.176.0/2140.0.176.1 to 40.0.183.25440.0.183.2552,046
2440.0.184.0/2140.0.184.1 to 40.0.191.25440.0.191.2552,046
2540.0.192.0/2140.0.192.1 to 40.0.199.25440.0.199.2552,046
2640.0.200.0/2140.0.200.1 to 40.0.207.25440.0.207.2552,046
2740.0.208.0/2140.0.208.1 to 40.0.215.25440.0.215.2552,046
2840.0.216.0/2140.0.216.1 to 40.0.223.25440.0.223.2552,046
2940.0.224.0/2140.0.224.1 to 40.0.231.25440.0.231.2552,046
3040.0.232.0/2140.0.232.1 to 40.0.239.25440.0.239.2552,046
3140.0.240.0/2140.0.240.1 to 40.0.247.25440.0.247.2552,046
3240.0.248.0/2140.0.248.1 to 40.0.255.25440.0.255.2552,046
3340.1.0.0/2140.1.0.1 to 40.1.7.25440.1.7.2552,046
3440.1.8.0/2140.1.8.1 to 40.1.15.25440.1.15.2552,046
3540.1.16.0/2140.1.16.1 to 40.1.23.25440.1.23.2552,046
3640.1.24.0/2140.1.24.1 to 40.1.31.25440.1.31.2552,046
3740.1.32.0/2140.1.32.1 to 40.1.39.25440.1.39.2552,046
3840.1.40.0/2140.1.40.1 to 40.1.47.25440.1.47.2552,046
3940.1.48.0/2140.1.48.1 to 40.1.55.25440.1.55.2552,046
4040.1.56.0/2140.1.56.1 to 40.1.63.25440.1.63.2552,046
4140.1.64.0/2140.1.64.1 to 40.1.71.25440.1.71.2552,046
4240.1.72.0/2140.1.72.1 to 40.1.79.25440.1.79.2552,046
4340.1.80.0/2140.1.80.1 to 40.1.87.25440.1.87.2552,046
4440.1.88.0/2140.1.88.1 to 40.1.95.25440.1.95.2552,046
4540.1.96.0/2140.1.96.1 to 40.1.103.25440.1.103.2552,046
4640.1.104.0/2140.1.104.1 to 40.1.111.25440.1.111.2552,046
4740.1.112.0/2140.1.112.1 to 40.1.119.25440.1.119.2552,046
4840.1.120.0/2140.1.120.1 to 40.1.127.25440.1.127.2552,046
4940.1.128.0/2140.1.128.1 to 40.1.135.25440.1.135.2552,046
5040.1.136.0/2140.1.136.1 to 40.1.143.25440.1.143.2552,046
5140.1.144.0/2140.1.144.1 to 40.1.151.25440.1.151.2552,046
5240.1.152.0/2140.1.152.1 to 40.1.159.25440.1.159.2552,046
5340.1.160.0/2140.1.160.1 to 40.1.167.25440.1.167.2552,046
5440.1.168.0/2140.1.168.1 to 40.1.175.25440.1.175.2552,046
5540.1.176.0/2140.1.176.1 to 40.1.183.25440.1.183.2552,046
5640.1.184.0/2140.1.184.1 to 40.1.191.25440.1.191.2552,046
5740.1.192.0/2140.1.192.1 to 40.1.199.25440.1.199.2552,046
5840.1.200.0/2140.1.200.1 to 40.1.207.25440.1.207.2552,046
5940.1.208.0/2140.1.208.1 to 40.1.215.25440.1.215.2552,046
6040.1.216.0/2140.1.216.1 to 40.1.223.25440.1.223.2552,046
6140.1.224.0/2140.1.224.1 to 40.1.231.25440.1.231.2552,046
6240.1.232.0/2140.1.232.1 to 40.1.239.25440.1.239.2552,046
6340.1.240.0/2140.1.240.1 to 40.1.247.25440.1.247.2552,046
6440.1.248.0/2140.1.248.1 to 40.1.255.25440.1.255.2552,046
6540.2.0.0/2140.2.0.1 to 40.2.7.25440.2.7.2552,046
6640.2.8.0/2140.2.8.1 to 40.2.15.25440.2.15.2552,046
6740.2.16.0/2140.2.16.1 to 40.2.23.25440.2.23.2552,046
6840.2.24.0/2140.2.24.1 to 40.2.31.25440.2.31.2552,046
6940.2.32.0/2140.2.32.1 to 40.2.39.25440.2.39.2552,046
7040.2.40.0/2140.2.40.1 to 40.2.47.25440.2.47.2552,046
7140.2.48.0/2140.2.48.1 to 40.2.55.25440.2.55.2552,046
7240.2.56.0/2140.2.56.1 to 40.2.63.25440.2.63.2552,046
7340.2.64.0/2140.2.64.1 to 40.2.71.25440.2.71.2552,046
7440.2.72.0/2140.2.72.1 to 40.2.79.25440.2.79.2552,046
7540.2.80.0/2140.2.80.1 to 40.2.87.25440.2.87.2552,046
7640.2.88.0/2140.2.88.1 to 40.2.95.25440.2.95.2552,046
7740.2.96.0/2140.2.96.1 to 40.2.103.25440.2.103.2552,046
7840.2.104.0/2140.2.104.1 to 40.2.111.25440.2.111.2552,046
7940.2.112.0/2140.2.112.1 to 40.2.119.25440.2.119.2552,046
8040.2.120.0/2140.2.120.1 to 40.2.127.25440.2.127.2552,046
8140.2.128.0/2140.2.128.1 to 40.2.135.25440.2.135.2552,046
8240.2.136.0/2140.2.136.1 to 40.2.143.25440.2.143.2552,046
8340.2.144.0/2140.2.144.1 to 40.2.151.25440.2.151.2552,046
8440.2.152.0/2140.2.152.1 to 40.2.159.25440.2.159.2552,046
8540.2.160.0/2140.2.160.1 to 40.2.167.25440.2.167.2552,046
8640.2.168.0/2140.2.168.1 to 40.2.175.25440.2.175.2552,046
8740.2.176.0/2140.2.176.1 to 40.2.183.25440.2.183.2552,046
8840.2.184.0/2140.2.184.1 to 40.2.191.25440.2.191.2552,046
8940.2.192.0/2140.2.192.1 to 40.2.199.25440.2.199.2552,046
9040.2.200.0/2140.2.200.1 to 40.2.207.25440.2.207.2552,046
9140.2.208.0/2140.2.208.1 to 40.2.215.25440.2.215.2552,046
9240.2.216.0/2140.2.216.1 to 40.2.223.25440.2.223.2552,046
9340.2.224.0/2140.2.224.1 to 40.2.231.25440.2.231.2552,046
9440.2.232.0/2140.2.232.1 to 40.2.239.25440.2.239.2552,046
9540.2.240.0/2140.2.240.1 to 40.2.247.25440.2.247.2552,046
9640.2.248.0/2140.2.248.1 to 40.2.255.25440.2.255.2552,046
9740.3.0.0/2140.3.0.1 to 40.3.7.25440.3.7.2552,046
9840.3.8.0/2140.3.8.1 to 40.3.15.25440.3.15.2552,046
9940.3.16.0/2140.3.16.1 to 40.3.23.25440.3.23.2552,046
10040.3.24.0/2140.3.24.1 to 40.3.31.25440.3.31.2552,046
10140.3.32.0/2140.3.32.1 to 40.3.39.25440.3.39.2552,046
10240.3.40.0/2140.3.40.1 to 40.3.47.25440.3.47.2552,046
10340.3.48.0/2140.3.48.1 to 40.3.55.25440.3.55.2552,046
10440.3.56.0/2140.3.56.1 to 40.3.63.25440.3.63.2552,046
10540.3.64.0/2140.3.64.1 to 40.3.71.25440.3.71.2552,046
10640.3.72.0/2140.3.72.1 to 40.3.79.25440.3.79.2552,046
10740.3.80.0/2140.3.80.1 to 40.3.87.25440.3.87.2552,046
10840.3.88.0/2140.3.88.1 to 40.3.95.25440.3.95.2552,046
10940.3.96.0/2140.3.96.1 to 40.3.103.25440.3.103.2552,046
11040.3.104.0/2140.3.104.1 to 40.3.111.25440.3.111.2552,046
11140.3.112.0/2140.3.112.1 to 40.3.119.25440.3.119.2552,046
11240.3.120.0/2140.3.120.1 to 40.3.127.25440.3.127.2552,046
11340.3.128.0/2140.3.128.1 to 40.3.135.25440.3.135.2552,046
11440.3.136.0/2140.3.136.1 to 40.3.143.25440.3.143.2552,046
11540.3.144.0/2140.3.144.1 to 40.3.151.25440.3.151.2552,046
11640.3.152.0/2140.3.152.1 to 40.3.159.25440.3.159.2552,046
11740.3.160.0/2140.3.160.1 to 40.3.167.25440.3.167.2552,046
11840.3.168.0/2140.3.168.1 to 40.3.175.25440.3.175.2552,046
11940.3.176.0/2140.3.176.1 to 40.3.183.25440.3.183.2552,046
12040.3.184.0/2140.3.184.1 to 40.3.191.25440.3.191.2552,046
12140.3.192.0/2140.3.192.1 to 40.3.199.25440.3.199.2552,046
12240.3.200.0/2140.3.200.1 to 40.3.207.25440.3.207.2552,046
12340.3.208.0/2140.3.208.1 to 40.3.215.25440.3.215.2552,046
12440.3.216.0/2140.3.216.1 to 40.3.223.25440.3.223.2552,046
12540.3.224.0/2140.3.224.1 to 40.3.231.25440.3.231.2552,046
12640.3.232.0/2140.3.232.1 to 40.3.239.25440.3.239.2552,046
12740.3.240.0/2140.3.240.1 to 40.3.247.25440.3.247.2552,046
12840.3.248.0/2140.3.248.1 to 40.3.255.25440.3.255.2552,046
12940.4.0.0/2140.4.0.1 to 40.4.7.25440.4.7.2552,046
13040.4.8.0/2140.4.8.1 to 40.4.15.25440.4.15.2552,046
13140.4.16.0/2140.4.16.1 to 40.4.23.25440.4.23.2552,046
13240.4.24.0/2140.4.24.1 to 40.4.31.25440.4.31.2552,046
13340.4.32.0/2140.4.32.1 to 40.4.39.25440.4.39.2552,046
13440.4.40.0/2140.4.40.1 to 40.4.47.25440.4.47.2552,046
13540.4.48.0/2140.4.48.1 to 40.4.55.25440.4.55.2552,046
13640.4.56.0/2140.4.56.1 to 40.4.63.25440.4.63.2552,046
13740.4.64.0/2140.4.64.1 to 40.4.71.25440.4.71.2552,046
13840.4.72.0/2140.4.72.1 to 40.4.79.25440.4.79.2552,046
13940.4.80.0/2140.4.80.1 to 40.4.87.25440.4.87.2552,046
14040.4.88.0/2140.4.88.1 to 40.4.95.25440.4.95.2552,046
14140.4.96.0/2140.4.96.1 to 40.4.103.25440.4.103.2552,046
14240.4.104.0/2140.4.104.1 to 40.4.111.25440.4.111.2552,046
14340.4.112.0/2140.4.112.1 to 40.4.119.25440.4.119.2552,046
14440.4.120.0/2140.4.120.1 to 40.4.127.25440.4.127.2552,046
14540.4.128.0/2140.4.128.1 to 40.4.135.25440.4.135.2552,046
14640.4.136.0/2140.4.136.1 to 40.4.143.25440.4.143.2552,046
14740.4.144.0/2140.4.144.1 to 40.4.151.25440.4.151.2552,046
14840.4.152.0/2140.4.152.1 to 40.4.159.25440.4.159.2552,046
14940.4.160.0/2140.4.160.1 to 40.4.167.25440.4.167.2552,046
15040.4.168.0/2140.4.168.1 to 40.4.175.25440.4.175.2552,046
15140.4.176.0/2140.4.176.1 to 40.4.183.25440.4.183.2552,046
15240.4.184.0/2140.4.184.1 to 40.4.191.25440.4.191.2552,046
15340.4.192.0/2140.4.192.1 to 40.4.199.25440.4.199.2552,046
15440.4.200.0/2140.4.200.1 to 40.4.207.25440.4.207.2552,046
15540.4.208.0/2140.4.208.1 to 40.4.215.25440.4.215.2552,046
15640.4.216.0/2140.4.216.1 to 40.4.223.25440.4.223.2552,046
15740.4.224.0/2140.4.224.1 to 40.4.231.25440.4.231.2552,046
15840.4.232.0/2140.4.232.1 to 40.4.239.25440.4.239.2552,046
15940.4.240.0/2140.4.240.1 to 40.4.247.25440.4.247.2552,046
16040.4.248.0/2140.4.248.1 to 40.4.255.25440.4.255.2552,046
16140.5.0.0/2140.5.0.1 to 40.5.7.25440.5.7.2552,046
16240.5.8.0/2140.5.8.1 to 40.5.15.25440.5.15.2552,046
16340.5.16.0/2140.5.16.1 to 40.5.23.25440.5.23.2552,046
16440.5.24.0/2140.5.24.1 to 40.5.31.25440.5.31.2552,046
16540.5.32.0/2140.5.32.1 to 40.5.39.25440.5.39.2552,046
16640.5.40.0/2140.5.40.1 to 40.5.47.25440.5.47.2552,046
16740.5.48.0/2140.5.48.1 to 40.5.55.25440.5.55.2552,046
16840.5.56.0/2140.5.56.1 to 40.5.63.25440.5.63.2552,046
16940.5.64.0/2140.5.64.1 to 40.5.71.25440.5.71.2552,046
17040.5.72.0/2140.5.72.1 to 40.5.79.25440.5.79.2552,046
17140.5.80.0/2140.5.80.1 to 40.5.87.25440.5.87.2552,046
17240.5.88.0/2140.5.88.1 to 40.5.95.25440.5.95.2552,046
17340.5.96.0/2140.5.96.1 to 40.5.103.25440.5.103.2552,046
17440.5.104.0/2140.5.104.1 to 40.5.111.25440.5.111.2552,046
17540.5.112.0/2140.5.112.1 to 40.5.119.25440.5.119.2552,046
17640.5.120.0/2140.5.120.1 to 40.5.127.25440.5.127.2552,046
17740.5.128.0/2140.5.128.1 to 40.5.135.25440.5.135.2552,046
17840.5.136.0/2140.5.136.1 to 40.5.143.25440.5.143.2552,046
17940.5.144.0/2140.5.144.1 to 40.5.151.25440.5.151.2552,046
18040.5.152.0/2140.5.152.1 to 40.5.159.25440.5.159.2552,046
18140.5.160.0/2140.5.160.1 to 40.5.167.25440.5.167.2552,046
18240.5.168.0/2140.5.168.1 to 40.5.175.25440.5.175.2552,046
18340.5.176.0/2140.5.176.1 to 40.5.183.25440.5.183.2552,046
18440.5.184.0/2140.5.184.1 to 40.5.191.25440.5.191.2552,046
18540.5.192.0/2140.5.192.1 to 40.5.199.25440.5.199.2552,046
18640.5.200.0/2140.5.200.1 to 40.5.207.25440.5.207.2552,046
18740.5.208.0/2140.5.208.1 to 40.5.215.25440.5.215.2552,046
18840.5.216.0/2140.5.216.1 to 40.5.223.25440.5.223.2552,046
18940.5.224.0/2140.5.224.1 to 40.5.231.25440.5.231.2552,046
19040.5.232.0/2140.5.232.1 to 40.5.239.25440.5.239.2552,046
19140.5.240.0/2140.5.240.1 to 40.5.247.25440.5.247.2552,046
19240.5.248.0/2140.5.248.1 to 40.5.255.25440.5.255.2552,046
19340.6.0.0/2140.6.0.1 to 40.6.7.25440.6.7.2552,046
19440.6.8.0/2140.6.8.1 to 40.6.15.25440.6.15.2552,046
19540.6.16.0/2140.6.16.1 to 40.6.23.25440.6.23.2552,046
19640.6.24.0/2140.6.24.1 to 40.6.31.25440.6.31.2552,046
19740.6.32.0/2140.6.32.1 to 40.6.39.25440.6.39.2552,046
19840.6.40.0/2140.6.40.1 to 40.6.47.25440.6.47.2552,046
19940.6.48.0/2140.6.48.1 to 40.6.55.25440.6.55.2552,046
20040.6.56.0/2140.6.56.1 to 40.6.63.25440.6.63.2552,046
20140.6.64.0/2140.6.64.1 to 40.6.71.25440.6.71.2552,046
20240.6.72.0/2140.6.72.1 to 40.6.79.25440.6.79.2552,046
20340.6.80.0/2140.6.80.1 to 40.6.87.25440.6.87.2552,046
20440.6.88.0/2140.6.88.1 to 40.6.95.25440.6.95.2552,046
20540.6.96.0/2140.6.96.1 to 40.6.103.25440.6.103.2552,046
20640.6.104.0/2140.6.104.1 to 40.6.111.25440.6.111.2552,046
20740.6.112.0/2140.6.112.1 to 40.6.119.25440.6.119.2552,046
20840.6.120.0/2140.6.120.1 to 40.6.127.25440.6.127.2552,046
20940.6.128.0/2140.6.128.1 to 40.6.135.25440.6.135.2552,046
21040.6.136.0/2140.6.136.1 to 40.6.143.25440.6.143.2552,046
21140.6.144.0/2140.6.144.1 to 40.6.151.25440.6.151.2552,046
21240.6.152.0/2140.6.152.1 to 40.6.159.25440.6.159.2552,046
21340.6.160.0/2140.6.160.1 to 40.6.167.25440.6.167.2552,046
21440.6.168.0/2140.6.168.1 to 40.6.175.25440.6.175.2552,046
21540.6.176.0/2140.6.176.1 to 40.6.183.25440.6.183.2552,046
21640.6.184.0/2140.6.184.1 to 40.6.191.25440.6.191.2552,046
21740.6.192.0/2140.6.192.1 to 40.6.199.25440.6.199.2552,046
21840.6.200.0/2140.6.200.1 to 40.6.207.25440.6.207.2552,046
21940.6.208.0/2140.6.208.1 to 40.6.215.25440.6.215.2552,046
22040.6.216.0/2140.6.216.1 to 40.6.223.25440.6.223.2552,046
22140.6.224.0/2140.6.224.1 to 40.6.231.25440.6.231.2552,046
22240.6.232.0/2140.6.232.1 to 40.6.239.25440.6.239.2552,046
22340.6.240.0/2140.6.240.1 to 40.6.247.25440.6.247.2552,046
22440.6.248.0/2140.6.248.1 to 40.6.255.25440.6.255.2552,046
22540.7.0.0/2140.7.0.1 to 40.7.7.25440.7.7.2552,046
22640.7.8.0/2140.7.8.1 to 40.7.15.25440.7.15.2552,046
22740.7.16.0/2140.7.16.1 to 40.7.23.25440.7.23.2552,046
22840.7.24.0/2140.7.24.1 to 40.7.31.25440.7.31.2552,046
22940.7.32.0/2140.7.32.1 to 40.7.39.25440.7.39.2552,046
23040.7.40.0/2140.7.40.1 to 40.7.47.25440.7.47.2552,046
23140.7.48.0/2140.7.48.1 to 40.7.55.25440.7.55.2552,046
23240.7.56.0/2140.7.56.1 to 40.7.63.25440.7.63.2552,046
23340.7.64.0/2140.7.64.1 to 40.7.71.25440.7.71.2552,046
23440.7.72.0/2140.7.72.1 to 40.7.79.25440.7.79.2552,046
23540.7.80.0/2140.7.80.1 to 40.7.87.25440.7.87.2552,046
23640.7.88.0/2140.7.88.1 to 40.7.95.25440.7.95.2552,046
23740.7.96.0/2140.7.96.1 to 40.7.103.25440.7.103.2552,046
23840.7.104.0/2140.7.104.1 to 40.7.111.25440.7.111.2552,046
23940.7.112.0/2140.7.112.1 to 40.7.119.25440.7.119.2552,046
24040.7.120.0/2140.7.120.1 to 40.7.127.25440.7.127.2552,046
24140.7.128.0/2140.7.128.1 to 40.7.135.25440.7.135.2552,046
24240.7.136.0/2140.7.136.1 to 40.7.143.25440.7.143.2552,046
24340.7.144.0/2140.7.144.1 to 40.7.151.25440.7.151.2552,046
24440.7.152.0/2140.7.152.1 to 40.7.159.25440.7.159.2552,046
24540.7.160.0/2140.7.160.1 to 40.7.167.25440.7.167.2552,046
24640.7.168.0/2140.7.168.1 to 40.7.175.25440.7.175.2552,046
24740.7.176.0/2140.7.176.1 to 40.7.183.25440.7.183.2552,046
24840.7.184.0/2140.7.184.1 to 40.7.191.25440.7.191.2552,046
24940.7.192.0/2140.7.192.1 to 40.7.199.25440.7.199.2552,046
25040.7.200.0/2140.7.200.1 to 40.7.207.25440.7.207.2552,046
25140.7.208.0/2140.7.208.1 to 40.7.215.25440.7.215.2552,046
25240.7.216.0/2140.7.216.1 to 40.7.223.25440.7.223.2552,046
25340.7.224.0/2140.7.224.1 to 40.7.231.25440.7.231.2552,046
25440.7.232.0/2140.7.232.1 to 40.7.239.25440.7.239.2552,046
25540.7.240.0/2140.7.240.1 to 40.7.247.25440.7.247.2552,046
25640.7.248.0/2140.7.248.1 to 40.7.255.25440.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses